New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

4.0版本审计里的命令记录好像有问题-命令不全 #738

Closed
brucefanhaitao opened this Issue Sep 28, 2017 · 11 comments

Comments

Projects
None yet
4 participants
@brucefanhaitao

brucefanhaitao commented Sep 28, 2017

我使用终端连接机器,敲了好多命令,但是审计里的命令记录什么也没有记录到,怎么回事啊

@ibuler

This comment has been minimized.

Show comment
Hide comment
@ibuler

ibuler Sep 28, 2017

Member

命令解析可能还有些bug

Member

ibuler commented Sep 28, 2017

命令解析可能还有些bug

@ibuler ibuler added the bug label Sep 28, 2017

@ibuler ibuler added this to the 0.4.0-stable milestone Sep 28, 2017

@brucefanhaitao

This comment has been minimized.

Show comment
Hide comment
@brucefanhaitao

brucefanhaitao Sep 29, 2017

回放功能也有问题,点击不了

brucefanhaitao commented Sep 29, 2017

回放功能也有问题,点击不了

@ibuler ibuler added the P1 label Oct 10, 2017

@ibuler ibuler changed the title from 4.0版本审计里的命令记录好像有问题 to 4.0版本审计里的命令记录好像有问题-命令不全 Oct 10, 2017

@ibuler

This comment has been minimized.

Show comment
Hide comment
@ibuler

ibuler Oct 10, 2017

Member

fixed,更新 jumpserver python sdk

pip install --upgrade jumpserver-python-sdk

Member

ibuler commented Oct 10, 2017

fixed,更新 jumpserver python sdk

pip install --upgrade jumpserver-python-sdk

@ibuler

This comment has been minimized.

Show comment
Hide comment
@ibuler

ibuler Oct 10, 2017

Member

确保版本 > 0.0.16

Member

ibuler commented Oct 10, 2017

确保版本 > 0.0.16

@brucefanhaitao

This comment has been minimized.

Show comment
Hide comment
@brucefanhaitao

brucefanhaitao Oct 11, 2017

现在还是3.2版本相对稳定些

brucefanhaitao commented Oct 11, 2017

现在还是3.2版本相对稳定些

@goldMonkey

This comment has been minimized.

Show comment
Hide comment
@goldMonkey

goldMonkey Oct 18, 2017

我执行 pip install --upgrade jumpserver-python-sdk 命令后回放录像和命令都没有记录,命令我执行了修改文件的操作。

在debug模式下报错:
AttributeError: Got AttributeError when attempting to get a value for field proxy_log_id on serializer CommandLogSerializer.
The serializer field might be named incorrectly and not match any attribute or key on the NoneType instance.

数据库,audits_commandlog表和audits_recordlog表为空,进入命令记录表页有报错:
"GET /static/js/plugins/dataTables/dataTables.min.js HTTP/1.0" 404 1733

goldMonkey commented Oct 18, 2017

我执行 pip install --upgrade jumpserver-python-sdk 命令后回放录像和命令都没有记录,命令我执行了修改文件的操作。

在debug模式下报错:
AttributeError: Got AttributeError when attempting to get a value for field proxy_log_id on serializer CommandLogSerializer.
The serializer field might be named incorrectly and not match any attribute or key on the NoneType instance.

数据库,audits_commandlog表和audits_recordlog表为空,进入命令记录表页有报错:
"GET /static/js/plugins/dataTables/dataTables.min.js HTTP/1.0" 404 1733

@brucefanhaitao

This comment has been minimized.

Show comment
Hide comment
@brucefanhaitao

brucefanhaitao Oct 18, 2017

我没有尝试更新,而是用的3.2的版本,3.2的版本相对4.0稳定多了,各个功能都好使

brucefanhaitao commented Oct 18, 2017

我没有尝试更新,而是用的3.2的版本,3.2的版本相对4.0稳定多了,各个功能都好使

@choldrim

This comment has been minimized.

Show comment
Hide comment
@choldrim

choldrim Oct 18, 2017

Contributor

AttributeError: Got AttributeError when attempting to get a value for field proxy_log_id on serializer CommandLogSerializer.
The serializer field might be named incorrectly and not match any attribute or key on the NoneType instance.

这个问题我前几天部署一个新机器的时候遇到过,djangorestframework 最新版会出现这个问题,临时解决办法是将版本固定成 3.6.2

pip3 install djangorestframework==3.6.2

@goldMonkey

另外,@ibuler 要不把requirement所有的包都固定版本的,定期升级测试一遍,python很多库很奇葩,升个小版本都可能造成API的不兼容,你觉得咧?

Contributor

choldrim commented Oct 18, 2017

AttributeError: Got AttributeError when attempting to get a value for field proxy_log_id on serializer CommandLogSerializer.
The serializer field might be named incorrectly and not match any attribute or key on the NoneType instance.

这个问题我前几天部署一个新机器的时候遇到过,djangorestframework 最新版会出现这个问题,临时解决办法是将版本固定成 3.6.2

pip3 install djangorestframework==3.6.2

@goldMonkey

另外,@ibuler 要不把requirement所有的包都固定版本的,定期升级测试一遍,python很多库很奇葩,升个小版本都可能造成API的不兼容,你觉得咧?

@goldMonkey

This comment has been minimized.

Show comment
Hide comment
@goldMonkey

goldMonkey Oct 20, 2017

@choldrim 感谢,命令日志的问题解决了。现在回放和在线session里的监控功能还点击不了。

goldMonkey commented Oct 20, 2017

@choldrim 感谢,命令日志的问题解决了。现在回放和在线session里的监控功能还点击不了。

@choldrim

This comment has been minimized.

Show comment
Hide comment
@choldrim

choldrim Oct 20, 2017

Contributor

现在回放和在线session里的监控功能还点击不了。

@goldMonkey
这个功能还没实现呢

Contributor

choldrim commented Oct 20, 2017

现在回放和在线session里的监控功能还点击不了。

@goldMonkey
这个功能还没实现呢

@ibuler

This comment has been minimized.

Show comment
Hide comment
@ibuler

ibuler Mar 8, 2018

Member

新版本解决

Member

ibuler commented Mar 8, 2018

新版本解决

@ibuler ibuler closed this Mar 8, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment